Debian Bug report logs - #698329
ITP: sosreport -- This set of tools is designed to provide information to support organizations

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adam Stokes <adam-stokes@ubuntu.com>

Date: Thu, 17 Jan 2013 04:30:01 UTC

Owned by: Adam Stokes <adam-stokes@ubuntu.com>

Severity: wishlist

Fixed in version sosreport/2.3~git20130509-1

Done: Adam Stokes <adam.stokes@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, adam-stokes@ubuntu.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698329; Package wnpp. (Thu, 17 Jan 2013 04:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Stokes <adam-stokes@ubuntu.com>:
New Bug report received and forwarded. Copy sent to adam-stokes@ubuntu.com, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 17 Jan 2013 04:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Stokes <adam-stokes@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: sos -- This set of tools is designed to provide information to support organizations
Date: Wed, 16 Jan 2013 23:27:07 -0500
Package: wnpp
Severity: wishlist
Owner: Adam Stokes <adam-stokes@ubuntu.com>

* Package name    : sos
  Version         : 2.3.1
  Upstream Author : Adam Stokes <adam-stokes@ubuntu.com>
* URL             : https://github.com/sosreport/sosreport
* License         : GPL2+
  Programming Lang: Python
  Description     : This set of tools is designed to provide information to support organizations

This set of tools is designed to provide information to support
organizations in an extensible manner, allowing third parties, package maintainers,
and anyone else to provide plugins that will collect and report information
that is useful for supporting software packages.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>:
Bug#698329; Package wnpp. (Thu, 17 Jan 2013 06:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>. (Thu, 17 Jan 2013 06:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 698329@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Adam Stokes <adam-stokes@ubuntu.com>
Cc: 698329@bugs.debian.org
Subject: Re: Bug#698329: ITP: sos -- This set of tools is designed to provide information to support organizations
Date: Thu, 17 Jan 2013 07:14:37 +0100
[Message part 1 (text/plain, inline)]
Le 17 janv. 2013 05:30, "Adam Stokes" <adam-stokes@ubuntu.com> a écrit :
>
> Package: wnpp
> Severity: wishlist
> Owner: Adam Stokes <adam-stokes@ubuntu.com>
>
> * Package name    : sos
>   Version         : 2.3.1
>   Upstream Author : Adam Stokes <adam-stokes@ubuntu.com>
> * URL             : https://github.com/sosreport/sosreport
> * License         : GPL2+
>   Programming Lang: Python
>   Description     : This set of tools is designed to provide information
to support organizations
>
> This set of tools is designed to provide information to support
> organizations in an extensible manner, allowing third parties, package
maintainers,
> and anyone else to provide plugins that will collect and report
information
> that is useful for supporting software packages.

I am sorry but I do not understand what this tool do. Please reword short
description and desvription
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
> Archive:
http://lists.debian.org/20130117042707.25687.77206.reportbug@localhost
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>:
Bug#698329; Package wnpp. (Thu, 17 Jan 2013 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>. (Thu, 17 Jan 2013 09:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 698329@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Adam Stokes <adam-stokes@ubuntu.com>, 698329@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#698329: ITP: sos -- This set of tools is designed to provide information to support organizations
Date: Thu, 17 Jan 2013 10:01:53 +0100
Hi Adam,

thanks for your ITP.  I'd (strongly) recommend using a less generic
name.  Why not sticking to the upstream choice "sosreport"?

BTW, after reading the description twice I totally fail to tell what
this package might really do.  After reading the very short description
on the github page I wonder how this might fit together at all.

For instance please define or give examples for things like
"organisations", "plugins", "report", "software packages" because I
somehow have the feeling that these terms are used in different context
than I'm usually doing.

Kind regards

       Andreas.

On Wed, Jan 16, 2013 at 11:27:07PM -0500, Adam Stokes wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Adam Stokes <adam-stokes@ubuntu.com>
> 
> * Package name    : sos
>   Version         : 2.3.1
>   Upstream Author : Adam Stokes <adam-stokes@ubuntu.com>
> * URL             : https://github.com/sosreport/sosreport
> * License         : GPL2+
>   Programming Lang: Python
>   Description     : This set of tools is designed to provide information to support organizations
> 
> This set of tools is designed to provide information to support
> organizations in an extensible manner, allowing third parties, package maintainers,
> and anyone else to provide plugins that will collect and report information
> that is useful for supporting software packages.
 
-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>:
Bug#698329; Package wnpp. (Thu, 17 Jan 2013 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Stokes <adam.stokes@canonical.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>. (Thu, 17 Jan 2013 21:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 698329@bugs.debian.org (full text, mbox):

From: Adam Stokes <adam.stokes@canonical.com>
To: Andreas Tille <andreas@an3as.eu>, 698329@bugs.debian.org
Subject: Re: Bug#698329: ITP: sos -- This set of tools is designed to provide information to support organizations
Date: Thu, 17 Jan 2013 16:09:56 -0500
On 01/17/2013 04:01 AM, Andreas Tille wrote:
> Hi Adam,
> 
> thanks for your ITP.  I'd (strongly) recommend using a less generic
> name.  Why not sticking to the upstream choice "sosreport"?
> 
> BTW, after reading the description twice I totally fail to tell what
> this package might really do.  After reading the very short description
> on the github page I wonder how this might fit together at all.
> 
> For instance please define or give examples for things like
> "organisations", "plugins", "report", "software packages" because I
> somehow have the feeling that these terms are used in different context
> than I'm usually doing.
> 
> Kind regards
> 
>        Andreas.
> 
> On Wed, Jan 16, 2013 at 11:27:07PM -0500, Adam Stokes wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Adam Stokes <adam-stokes@ubuntu.com>
>>
>> * Package name    : sos
>>   Version         : 2.3.1
>>   Upstream Author : Adam Stokes <adam-stokes@ubuntu.com>
>> * URL             : https://github.com/sosreport/sosreport
>> * License         : GPL2+
>>   Programming Lang: Python
>>   Description     : This set of tools is designed to provide information to support organizations
>>
>> This set of tools is designed to provide information to support
>> organizations in an extensible manner, allowing third parties, package maintainers,
>> and anyone else to provide plugins that will collect and report information
>> that is useful for supporting software packages.
>  
> 

* Package name    : sosreport
  Version         : 2.3.1
  Upstream Author : Adam Stokes <adam-stokes@ubuntu.com>
* URL             : https://github.com/sosreport/sosreport
* License         : GPL2+
  Programming Lang: Python
  Description     : A tool for taking a snapshot of a system's
properties at given point of time.

This set of tools provides end users with the ability to take a snapshot
of their system customizable and _automated_ through plugins. A snapshot
of a system consists of but not limited too Filesystem layout, installed
packages, application configurations. Additional mechanisms are
available to print out reports based on rulesets that allow end users to
preemptively check for existing bug reports based on analyzed logs and
common configurations. One of the common use cases for this application
is when an end user is working with another person in an attempt to
troubleshoot an issue and that person would like to see an overall
layout of the end user's current system with any relevant application
configurations/logs. This application proves to be very beneficial in
large organizations/enterprises where you may have a technical team that
provides support for any number of customers/clients/end users.
Sosreport is also multi-distribution aware which already provides
support for Fedora and Debian/Ubuntu. Sosreport also differs from
applications such as abrt and apport which tend to concentrate more on
detecting and analyzing application crashes.

Thank you
Adam



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>:
Bug#698329; Package wnpp. (Wed, 10 Apr 2013 20:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Stokes <adam.stokes@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Stokes <adam-stokes@ubuntu.com>. (Wed, 10 Apr 2013 20:45:09 GMT) Full text and rfc822 format available.

Message #25 received at 698329@bugs.debian.org (full text, mbox):

From: Adam Stokes <adam.stokes@ubuntu.com>
To: Adam Stokes <adam.stokes@canonical.com>, 698329@bugs.debian.org
Cc: Andreas Tille <andreas@an3as.eu>
Subject: Re: Bug#698329: ITP: sos -- This set of tools is designed to provide information to support organizations
Date: Wed, 10 Apr 2013 16:40:12 -0400
[Message part 1 (text/plain, inline)]
On Thu, Jan 17, 2013 at 04:09:56PM -0500, Adam Stokes wrote:
 
> * Package name    : sosreport
>   Version         : 2.3.1
    Upstream Author : Adam Stokes <adam.stokes@ubuntu.com>
> * URL             : https://github.com/sosreport/sosreport
> * License         : GPL2+
>   Programming Lang: Python
>   Description     : A tool for taking a snapshot of a system's
> properties at given point of time.
> 
> This set of tools provides end users with the ability to take a snapshot
> of their system customizable and _automated_ through plugins. A snapshot
> of a system consists of but not limited too Filesystem layout, installed
> packages, application configurations. Additional mechanisms are
> available to print out reports based on rulesets that allow end users to
> preemptively check for existing bug reports based on analyzed logs and
> common configurations. One of the common use cases for this application
> is when an end user is working with another person in an attempt to
> troubleshoot an issue and that person would like to see an overall
> layout of the end user's current system with any relevant application
> configurations/logs. This application proves to be very beneficial in
> large organizations/enterprises where you may have a technical team that
> provides support for any number of customers/clients/end users.
> Sosreport is also multi-distribution aware which already provides
> support for Fedora and Debian/Ubuntu. Sosreport also differs from
> applications such as abrt and apport which tend to concentrate more on
> detecting and analyzing application crashes.
> 
> Thank you
> Adam
> 

Fix typo

-- 
Adam Stokes 
adam.stokes@ubuntu.com
"Don't salt your green beans before you try them, 
 some may think you make rash decisions."
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: sosreport -- This set of tools is designed to provide information to support organizations' from 'ITP: sos -- This set of tools is designed to provide information to support organizations' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 13 Apr 2013 11:57:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 698329: 705192 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 13 Apr 2013 16:27:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Adam Stokes <adam.stokes@ubuntu.com>:
You have taken responsibility. (Sat, 20 Jul 2013 04:03:12 GMT) Full text and rfc822 format available.

Notification sent to Adam Stokes <adam-stokes@ubuntu.com>:
Bug acknowledged by developer. (Sat, 20 Jul 2013 04:03:12 GMT) Full text and rfc822 format available.

Message #36 received at 698329-close@bugs.debian.org (full text, mbox):

From: Adam Stokes <adam.stokes@ubuntu.com>
To: 698329-close@bugs.debian.org
Subject: Bug#698329: fixed in sosreport 2.3~git20130509-1
Date: Sat, 20 Jul 2013 04:00:10 +0000
Source: sosreport
Source-Version: 2.3~git20130509-1

We believe that the bug you reported is fixed in the latest version of
sosreport, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698329@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Stokes <adam.stokes@ubuntu.com> (supplier of updated sosreport package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 31 May 2013 12:12:46 -0400
Source: sosreport
Binary: sosreport
Architecture: source amd64
Version: 2.3~git20130509-1
Distribution: unstable
Urgency: low
Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
Changed-By: Adam Stokes <adam.stokes@ubuntu.com>
Description: 
 sosreport  - Set of tools to gather troubleshooting data from a system
Closes: 698329
Changes: 
 sosreport (2.3~git20130509-1) unstable; urgency=low
 .
   * Package updated from git rev 395ad13da8
     Closes: #698329
Checksums-Sha1: 
 327dcb9e4bd644456f2a312d6ff95ce6d91066fe 1830 sosreport_2.3~git20130509-1.dsc
 1c4d89d792e9e356d67c2ed8b0e3c61ff71cbc9e 157555 sosreport_2.3~git20130509.orig.tar.gz
 7cae8f73b7e33f3d553aa6d1c79f765ce1cc343a 1577 sosreport_2.3~git20130509-1.debian.tar.gz
 0bc3e324eacd0fc6d79df4304dc76e76a311f3c5 92820 sosreport_2.3~git20130509-1_amd64.deb
Checksums-Sha256: 
 26ca1f86ff17da1da06af4f5bdda783d6ec42a441424f7d5b494809f5c73fe63 1830 sosreport_2.3~git20130509-1.dsc
 1c8e47a6ac36782ed7d7d69e3abf163957cb5d45d8d21bf9f91fd2fbccca43e8 157555 sosreport_2.3~git20130509.orig.tar.gz
 729311d31ee443991304af78c2b9dcf77e78cde56a265326dabf79aaefec10c0 1577 sosreport_2.3~git20130509-1.debian.tar.gz
 97a340fba63d2dbaa797b18f5f326cd3982c0cdc6ad4dead7e666113d42c234f 92820 sosreport_2.3~git20130509-1_amd64.deb
Files: 
 37aac5f38e3a447f358f7d77d5f1437d 1830 admin optional sosreport_2.3~git20130509-1.dsc
 a89634ff76e36ff210e529c5eedc45e6 157555 admin optional sosreport_2.3~git20130509.orig.tar.gz
 a130f0fa9c83c5e34d6ca653e41e1b17 1577 admin optional sosreport_2.3~git20130509-1.debian.tar.gz
 cca9f219dca68506c54d938bcfd83256 92820 admin optional sosreport_2.3~git20130509-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRrJOEAAoJEIh7YGGLPBauJU8P/0TWKJATth8RpkA1yCQ73zdZ
rYGUTUJhBr+vJ0kpjqB28P6gCnZL1hqJlKvKSIdunuRHwM3JjHyTf5Xf7n+dTLE6
mWPkUHLsio/i763Jf4llkXDULwUKl8chDNuFBr1gpjPuIuDwviNiNuENTJv2h8dl
ZfHdevLA3dUpDnqjyf6Pf5FvC8L9B9r72d9XVEEWbJgEUJmfPQIwIg5Qrh/V2lRP
UdGyXEeTeju91Ai9FMA1TRS7aMTAubQInYvOCGHzCNuc7wSigo2XSXua5FuA5khu
z98Mqkstz0V3ilkMGgHpWSYaCZ9VvICS7+tU/7465vtIQr3h6RN3BU3syS0EoGS/
CSeD2KdvPvdrAAwmkO9dQpexJe4oeU9SEa7x4QUxCbRrqcDfH0I8Ez1zMMEiXssL
BqbyIsKb2N+OsZNkLCwBsXjS2Jq45qfZclEesW/HXkuWyxiNkgtJaOlk6ifnIVLc
MZ88yl/rbqKfJNBh5kVt2vNmXA0KzEG1n7L2Db2bKNgEb+hDHzOIhlSWSOwVeOr7
/b3SkUMI5XAV+dT4Ujut2L2sxzpK1r5UqGIrQeWMoTs3OdLIQuVjTbUdi71NB5LP
rDoyGBTcG1TyYpHgyeMZ7lDbokayG7TyMbi8z7sI9AvCIVvp65kW06Dlq3fT0uJZ
KSCYGsbnsQgAMCltUiRP
=bXG3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Aug 2013 07:29:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:40:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.